
Ruby - Bug #13068

VC6 compilation failures

12/25/2016 12:52 AM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONTNEED, 2.4: DONE

Description

2.4.0 fails to compile on VC6.

Please backport r57173..r57175.

Associated revisions

Revision b5154b0eb71f0b1c523a1361fff2221907c87fc5 - 03/11/2017 10:28 AM - naruse (Yui NARUSE)

merge revision(s) 57173-57175: [Backport #13068]

    ------------------------------------------------------------------------

    r57173 | nobu | 2016-12-24 22:19:50 +0900 (Sat, 24 Dec 2016) | 4 lines

    compile.c: constify

    * compile.c (method_for_self): constify an argument of build

 function for VC6.

------------------------------------------------------------------------

r57174 | nobu | 2016-12-24 22:21:30 +0900 (Sat, 24 Dec 2016) | 4 lines

    hash.c: split long long literals

    * hash.c (prime1, prime2): split long long literals for platforms

 where LL suffix is not supported, e.g., VC6.

------------------------------------------------------------------------

r57175 | nobu | 2016-12-24 22:22:53 +0900 (Sat, 24 Dec 2016) | 4 lines

    regint.h: version for secure functions

    * regint.h (xvsnprintf): secure version functions are not

 supported on old VC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57831 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b5154b0e - 03/11/2017 10:28 AM - naruse (Yui NARUSE)

merge revision(s) 57173-57175: [Backport #13068]

    ------------------------------------------------------------------------

    r57173 | nobu | 2016-12-24 22:19:50 +0900 (Sat, 24 Dec 2016) | 4 lines

    compile.c: constify

    * compile.c (method_for_self): constify an argument of build

 function for VC6.

------------------------------------------------------------------------

r57174 | nobu | 2016-12-24 22:21:30 +0900 (Sat, 24 Dec 2016) | 4 lines

    hash.c: split long long literals

    * hash.c (prime1, prime2): split long long literals for platforms

 where LL suffix is not supported, e.g., VC6.

------------------------------------------------------------------------

06/25/2025 1/2



r57175 | nobu | 2016-12-24 22:22:53 +0900 (Sat, 24 Dec 2016) | 4 lines

    regint.h: version for secure functions

    * regint.h (xvsnprintf): secure version functions are not

 supported on old VC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57831 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/25/2016 12:37 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

#2 - 03/11/2017 10:28 AM - naruse (Yui NARUSE)

- Backport changed from 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED, 2.4: REQUIRED to 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONTNEED, 2.4: DONE

ruby_2_4 r57831 merged revision(s) 57173-57175.
